using System;
using TheGameExtreme.model.deck;
using TheGameExtreme.model.gameActions.classic;
using TheGameExtreme.model.piles;

namespace TheGameExtreme.model.gameActions.extreme
{
    public class ExtremeMode : GameMode
    {
        public ExtremeMode(Piles piles, Deck deck) : base(piles, deck)
        {
            gameActions.Add(new ExtremePiocher(Piles));
            gameActions.Add(new ExtremeJouerUneCarte(Piles));
            gameActions.Add(new ExtremeTerminerSonTour(Piles));
        }
    }
}
